Bug 222438 - www/rubygem-passenger: fix post-install when NGINX=ON
Summary: www/rubygem-passenger: fix post-install when NGINX=ON
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Alan Somers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-18 23:34 UTC by Alan Somers
Modified: 2017-10-04 14:50 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (osa)


Attachments
Fix post-install target when NGINX=ON (660 bytes, patch)
2017-09-18 23:35 UTC, Alan Somers
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Somers freebsd_committer 2017-09-18 23:34:36 UTC
449908 introduced a build failure for www/rubygem-passenger when the nondefault option NGINX is selected.
Comment 1 Alan Somers freebsd_committer 2017-09-18 23:35:14 UTC
Created attachment 186525 [details]
Fix post-install target when NGINX=ON
Comment 2 CTS - FreeBSD Team 2017-09-27 13:59:53 UTC
I don't know if this is related, i get an error in the stage phase, when NGINX=on

It tries to strip the apache mod_passenger.so file.

last messages of a poudriere run:
[...]
/usr/bin/strip /wrkdirs/usr/ports/www/rubygem-passenger/work/stage/usr/local/lib/ruby/gems/2.2/gems/passenger-5.1.8/buildout/support-binaries/PassengerAgent
/usr/bin/strip /wrkdirs/usr/ports/www/rubygem-passenger/work/stage/usr/local/lib/ruby/gems/2.2/gems/passenger-5.1.8/buildout/apache2/mod_passenger.so
/usr/bin/strip: '/wrkdirs/usr/ports/www/rubygem-passenger/work/stage/usr/local/lib/ruby/gems/2.2/gems/passenger-5.1.8/buildout/apache2/mod_passenger.so': No such file
*** Error code 1

Stop.
make: stopped in /usr/ports/www/rubygem-passenger
====>> Cleaning up wrkdir
===>  Cleaning for rubygem-passenger-5.1.8
Comment 3 Alan Somers freebsd_committer 2017-09-27 14:54:21 UTC
Yes Markus, that's the same issue.  The attached patch should fix it for you.
Comment 4 CTS - FreeBSD Team 2017-09-27 16:07:14 UTC
Bingo! Fixed it for me!
Comment 5 CTS - FreeBSD Team 2017-10-04 09:19:13 UTC
Will this fix get commited at some point or is www/rubygem-passenger just left have-broken?
Comment 6 Alan Somers freebsd_committer 2017-10-04 14:31:25 UTC
Markus there's a normal 2 week review period on Bugzilla.  That period just expired, so I'll commit soon.
Comment 7 commit-hook freebsd_committer 2017-10-04 14:36:33 UTC
A commit references this bug:

Author: asomers
Date: Wed Oct  4 14:36:04 UTC 2017
New revision: 451230
URL: https://svnweb.freebsd.org/changeset/ports/451230

Log:
  www/rubygem-passenger: fix post-install when NGINX=ON

  PR:		222438
  Reported by:	matthew@brightfire.net
  Approved by:	osa (maintainer timeout)
  MFH:		2017Q4
  Sponsored by:	Spectra Logic Corp

Changes:
  head/www/rubygem-passenger/Makefile